Package org.apache.activemq.artemis.spi.core.security.scram

## Class ScramUtils.NewPasswordStringData

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.scram.ScramUtils.NewPasswordStringData

- Enclosing class:
    ScramUtils

      public static class ScramUtils.NewPasswordStringData
      extends java.lang.Object

  New password data in database friendly format, i.e. Base64 encoded strings

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `clientKey` | Client key
    `int` | `iterations` | Iterations for slating
    `java.lang.String` | `salt` | Used salt
    `java.lang.String` | `saltedPassword` | Salted password
    `java.lang.String` | `serverKey` | Server key
    `java.lang.String` | `storedKey` | Stored key

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewPasswordStringData​(java.lang.String saltedPassword, java.lang.String salt, java.lang.String clientKey, java.lang.String storedKey, java.lang.String serverKey, int iterations)` | Creates new NewPasswordStringData

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### saltedPassword

          public final java.lang.String saltedPassword

      Salted password

    - #### salt

          public final java.lang.String salt

      Used salt

    - #### clientKey

          public final java.lang.String clientKey

      Client key

    - #### storedKey

          public final java.lang.String storedKey

      Stored key

    - #### serverKey

          public final java.lang.String serverKey

      Server key

    - #### iterations

          public final int iterations

      Iterations for slating

  - ### Constructor Detail

    - #### NewPasswordStringData

          public NewPasswordStringData​(java.lang.String saltedPassword,
                                       java.lang.String salt,
                                       java.lang.String clientKey,
                                       java.lang.String storedKey,
                                       java.lang.String serverKey,
                                       int iterations)

      Creates new NewPasswordStringData
      Parameters:
        `saltedPassword` - Salted password
        `salt` - Used salt
        `clientKey` - Client key
        `storedKey` - Stored key
        `serverKey` - Server key
        `iterations` - Iterations for slating